Bug 115233 - Replacing image resets the crop
Summary: Replacing image resets the crop
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Paul Trojahn
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-01-25 23:07 UTC by Matthew
Modified: 2018-07-03 23:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (3.71 KB, text/plain)
2018-01-31 19:45 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew 2018-01-25 23:07:23 UTC
Description:
In 5.1 and previous replacing an image would persist the crop setting from the original image.

This has been an issue for a while it seems, and at my company we are just starting to migrate from 5.1 to 5.3 and this is an issue many of our users are encountering.

Steps to Reproduce:
1.Insert an image into a slide, and crop it.
2.Select image, and "Replace" it.
3.The replacement image is inserted, and cropping is reset.

Actual Results:  
The uncropped image is displayed in the slide

Expected Results:
The image has the cropping from the original image.


Reproducible: Always


User Profile Reset: No



Additional Info:
bug #103031 is the original which was merged into a different bug, with this one never being actually fixed. The problem persists even with the latest LibeOffice 6.0 RC's and that ticket has been falsely marked as resolved therefor I have created this one.


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Xisco Faulí 2018-01-26 11:59:32 UTC
I can't reproduce it in

Version: 6.1.0.0.alpha0+
Build ID: 5cb225b0b3dbb55fd44899b1fb16bdcfeb866849
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 2 Matthew 2018-01-26 18:13:08 UTC
I've made a video showing me doing the same action in 3 libreoffice versions:
5.1.6.2
6.0.0.3
5.4.4.2

https://drive.google.com/file/d/1hxiq08elDhURMt627do5uNN2rfRHUDDV/view

5.1.6.2 is what is expected.
Comment 3 Matthew 2018-01-30 21:46:13 UTC
Any update on reproducing this on your side?

Thanks,
Matthew
Comment 4 Telesto 2018-01-30 22:05:47 UTC
A two sample images for the testing purposes would make testing easier ;-).
Comment 5 Matthew 2018-01-30 22:32:56 UTC
Well the source files we typically use are png screenshots. So any such files should work. We've hit this bug on both OSX and Linux so far.
Comment 6 Telesto 2018-01-31 19:34:11 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: ea89dabf8b6363972190a6b50c527c418d51c2c7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-27_22:55:15
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 Telesto 2018-01-31 19:45:18 UTC
Created attachment 139473 [details]
Bibisect log

Regression introduced by:
author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-07-05 12:05:28 +0000
committer	Eike Rathke <erack@redhat.com>	2016-07-21 17:16:51 +0000
commit	7524dd59efc9b685548caf7967b24f7758796078 (patch)
tree	294c5a2c6ef4679a5db2689f5b0fa8d46b0fcd5f
parent	2152e6bd6960e2cfc719f4274504e842cfdd4bc3 (diff)
tdf#73742 Don't replace existing image when inserting one
If we want to replace an image, we have an entry in the context menu for that.
Comment 8 Telesto 2018-01-31 20:07:43 UTC Comment hidden (obsolete)
Comment 9 Matthew 2018-02-06 22:54:10 UTC
Any updates here?

Thanks,
Matthew
Comment 10 Telesto 2018-02-07 09:01:45 UTC
(In reply to Matthew from comment #9)
> Any updates here?
> 
> Thanks,
> Matthew

For the record. It is also possible to contract professional support: https://www.documentfoundation.org/gethelp/developers/
Comment 11 Matthew 2018-03-08 20:55:09 UTC
Is this issue going to get looked at in any timeframe without "professional" support? We don't need the problem solved immediately as it is a relatively minor productivity issue for us. I just don't want this falling through the cracks again like it did the last time this issue popped up....

Thanks,
Matthew
Comment 12 Xisco Faulí 2018-06-05 21:15:19 UTC
Adding Cc: to Samuel Mehrbrodt
Comment 13 Commit Notification 2018-06-29 08:27:21 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f3c16e433f727bf52a6f894956b489187ab6dce

tdf#115233 Don't reset crop when replacing a graphic

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Samuel Mehrbrodt (CIB) 2018-06-29 08:46:21 UTC
Thanks for the fix, Paul!
Comment 15 Xisco Faulí 2018-07-02 23:16:18 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 5fce97a58b8f764e35bf98128591c9a89537da05
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Paul, thanks for fixing this!!
Comment 16 Xisco Faulí 2018-07-02 23:21:22 UTC
Cherry-picked to:
- 6-1: https://gerrit.libreoffice.org/#/c/56837/
- 6-0: https://gerrit.libreoffice.org/#/c/56838/
Comment 17 Commit Notification 2018-07-03 15:46:22 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3566e105819cda1e42f51fd5967a971c8f941ea&h=libreoffice-6-1

tdf#115233 Don't reset crop when replacing a graphic

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2018-07-03 23:39:42 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f066b54fb4af1d3f08242d81dd08100b7266eaaf&h=libreoffice-6-0

tdf#115233 Don't reset crop when replacing a graphic

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.